incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject svn commit: r1303833 - in /incubator/bigtop/branches/hadoop-0.23: bigtop-deploy/puppet/modules/hadoop/manifests/ bigtop-packages/src/common/hadoop/ bigtop-packages/src/deb/hadoop/ bigtop-packages/src/rpm/hadoop/SPECS/
Date Thu, 22 Mar 2012 15:26:04 GMT
Author: rvs
Date: Thu Mar 22 15:26:03 2012
New Revision: 1303833

URL: http://svn.apache.org/viewvc?rev=1303833&view=rev
Log:
BIGTOP-478. perhaps we should go back to mapred as a user name for mapreduce daemons in Hadoop
0.23

Modified:
    incubator/bigtop/branches/hadoop-0.23/bigtop-deploy/puppet/modules/hadoop/manifests/init.pp
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/hadoop-mapreduce-historyserver.svc
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-mapreduce.preinst
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-deploy/puppet/modules/hadoop/manifests/init.pp
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-deploy/puppet/modules/hadoop/manifests/init.pp?rev=1303833&r1=1303832&r2=1303833&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-deploy/puppet/modules/hadoop/manifests/init.pp
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-deploy/puppet/modules/hadoop/manifests/init.pp
Thu Mar 22 15:26:03 2012
@@ -27,7 +27,7 @@ class hadoop {
       princs => [ "host", "hdfs", "HTTP" ],
     }
    
-    kerberos::host_keytab { [ "yarn", "mapreduce" ]:
+    kerberos::host_keytab { [ "yarn", "mapred" ]:
       tag    => "mapreduce",
     }
   }

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/hadoop-mapreduce-historyserver.svc
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/hadoop-mapreduce-historyserver.svc?rev=1303833&r1=1303832&r2=1303833&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/hadoop-mapreduce-historyserver.svc
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/hadoop-mapreduce-historyserver.svc
Thu Mar 22 15:26:03 2012
@@ -16,7 +16,7 @@ HADOOP_NAME="historyserver"
 DAEMON="hadoop-mapreduce-$HADOOP_NAME"
 DESC="Hadoop $HADOOP_NAME"
 EXEC_PATH="/usr/lib/hadoop-mapreduce/sbin/mr-jobhistory-daemon.sh"
-SVC_USER="mapreduce"
+SVC_USER="mapred"
 DAEMON_FLAGS="$HADOOP_NAME"
 CONF_DIR="/etc/hadoop/conf"
 PIDFILE="/var/run/hadoop-mapreduce/yarn-$SVC_USER-$HADOOP_NAME.pid"

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-mapreduce.preinst
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-mapreduce.preinst?rev=1303833&r1=1303832&r2=1303833&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-mapreduce.preinst
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-mapreduce.preinst
Thu Mar 22 15:26:03 2012
@@ -32,15 +32,15 @@ set -e
 
 case "$1" in
     install|upgrade)
-        if ! getent passwd mapreduce >/dev/null; then
+        if ! getent passwd mapred >/dev/null; then
             adduser \
                 --system \
                 --group \
                 --home /var/lib/mapreduce \
                 --gecos "Hadoop MapReduce" \
                 --shell /bin/bash \
-                mapreduce >/dev/null 2>/dev/null || :
-            usermod --append --groups hadoop mapreduce || :
+                mapred >/dev/null 2>/dev/null || :
+            usermod --append --groups hadoop mapred || :
         fi
     ;;
 

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec?rev=1303833&r1=1303832&r2=1303833&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
Thu Mar 22 15:26:03 2012
@@ -469,8 +469,8 @@ getent group yarn >/dev/null   || groupa
 getent passwd yarn >/dev/null || /usr/sbin/useradd --comment "Hadoop Yarn" --shell /bin/bash
-M -r -g yarn -G hadoop --home %{state_yarn} yarn
 
 %pre mapreduce
-getent group mapreduce >/dev/null   || groupadd -r mapreduce
-getent passwd mapreduce >/dev/null || /usr/sbin/useradd --comment "Hadoop MapReduce" --shell
/bin/bash -M -r -g mapreduce -G hadoop --home %{state_mapreduce} mapreduce
+getent group mapred >/dev/null   || groupadd -r mapred
+getent passwd mapred >/dev/null || /usr/sbin/useradd --comment "Hadoop MapReduce" --shell
/bin/bash -M -r -g mapred -G hadoop --home %{state_mapreduce} mapred
 
 %post
 %{alternatives_cmd} --install %{config_hadoop} %{name}-conf %{etc_hadoop}/conf.empty 10



Mime
View raw message